#
# spec file for package wadptr
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           wadptr
Version:        3.7
Release:        1.1
Group:          Development/Tools/Building
Summary:        Redundancy compressor for Doom WAD files
License:        GPL-2.0-or-later
URL:            http://soulsphere.org/projects/wadptr/
#Git-Clone:     https://github.com/fragglet/wadptr
Source:         https://github.com/fragglet/wadptr/archive/refs/tags/%name-%version.tar.gz
BuildRequires:  automake
BuildRequires:  xz

%description
WADptr is a utility for reducing the size of Doom WAD files. The
"compressed" WADs will still work the same as the originals. The
program works by exploiting the WAD file format to combine repeated /
redundant material.

%prep
%autosetup -p1 -n %name-%name-%version

%build
%make_build CFLAGS="%optflags"

%install
%make_install PREFIX="%_prefix"

%files
%_bindir/*
%_mandir/man*/*.[0-9]*
%license COPYING.md

%changelog
* Sun Feb 23 2025 Jan Engelhardt <jengelh@inai.de>
- Update to release 3.7
  * A new option, -wipesides, cleans upper and lower textures from
    one-sided lines where they are not used. This allows some
    sidedefs to be merged that would not otherwise be merged.
  * Textures are now compared in a case-insensitive manner,
    matching the logic of Doom itself. This won't make a lot of
    difference since most editors store texture names in allcaps,
    but there may be corner-case WADs where it helps improve
    compression slightly.
  * The progress counter now uses wall time instead of CPU time.
* Thu Feb 20 2025 Jan Engelhardt <jengelh@inai.de>
- Update to release 3.6
  * A bug was fixed with sidedef packing where if multiple
    scrolling walls would share a sidedef, those walls would scroll
    at the wrong speed. This has been fixed in a generic way that
    should also cover other potential bugs related to animated
    walls.
  * Compression of Hexen format levels is now supported.
  * PSX/Doom 64 format levels are now handled correctly.
  * There is now a `-q` command line option to suppress normal
    output.
  * Static limits on the number of lumps in a WAD and the number of
    sidedefs in a level have been removed.
  * This release adds support for BLOCKMAP lump compression.
  * Two new arguments, `-extblocks` and `-extsides`, have been
    added to allow use of the extended blockmap and sidedef limits
    that are supported by some source ports.
  * The list command (-l) no longer hides level sub-lumps like
    BLOCKMAP or SIDEDEFS. The full set of lumps is always listed.
- Delete wadptr-gcc15.patch (obsolete), wadptr-automake.diff
  (no replacement).
* Thu Feb 20 2025 pgajdos@suse.com
- added patch wadptr-gcc15.patch
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Sat Aug  6 2011 jengelh@medozas.de
- Update to new upstream release 2.4
- Dropped 3 merged patches
